org.apache.ignite.internal.processors.cache.tree

## Class DataRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.CacheDataRowAdapter
  - - org.apache.ignite.internal.processors.cache.tree.DataRow

All Implemented Interfaces:
  MvccUpdateVersionAware, MvccVersionAware, CacheDataRow, CacheSearchRow, Storable

Direct Known Subclasses:
  DataRowCacheAware, MvccDataRow

    public class DataRow
    extends CacheDataRowAdapter

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.processors.cache.persistence.CacheDataRowAdapter

`CacheDataRowAdapter.RowData`

### Field Summary

Fields
`protected int` `hash`
`protected int` `part`

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.CacheDataRowAdapter

`cacheId, expireTime, key, link, val, ver, verReady`

### Constructor Summary

Constructors
`` `DataRow()`
`protected` `DataRow(CacheGroupContext grp, int hash, long link, int part, CacheDataRowAdapter.RowData rowData, boolean skipVer)`
`` `DataRow(KeyCacheObject key, CacheObject val, GridCacheVersion ver, int part, long expireTime, int cacheId)`
`protected` `DataRow(long link)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cacheId(int cacheId)`
`int` `hash()`
`void` `key(KeyCacheObject key)`
`void` `link(long link)`
`int` `partition()`
`void` `partition(int partId)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.CacheDataRowAdapter

`cacheId, expireTime, headerSize, initFromDataPage, initFromLink, initFromLink, initFromLink, initFromPageBuffer, isReady, key, link, mvccCoordinatorVersion, mvccCounter, mvccOperationCounter, mvccTxState, newMvccCoordinatorVersion, newMvccCounter, newMvccOperationCounter, newMvccTxState, readFragment, readFullRow, readHeader, readIncomplete, readIncompleteCacheId, readIncompleteExpireTime, readIncompleteKey, readIncompleteValue, readIncompleteVersion, size, toString, value, version`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.CacheDataRow

`ioVersions`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccUpdateVersionAware

`newMvccVersion, newMvccVersion, newMvccVersion, newMvccVersion`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersionAware

`mvccVersion, mvccVersion, mvccVersion, mvccVersion`

### Field Detail

#### part

    protected int part

#### hash

    protected int hash

### Constructor Detail

#### DataRow

    protected DataRow(CacheGroupContext grp,
                      int hash,
                      long link,
                      int part,
                      CacheDataRowAdapter.RowData rowData,
                      boolean skipVer)

Parameters:
  `grp` - Cache group (used to initialize row).
  `hash` - Hash code.
  `link` - Link.
  `part` - Partition.
  `rowData` - Required row data.
  `skipVer` - Whether version read should be skipped.

#### DataRow

    public DataRow(KeyCacheObject key,
                   CacheObject val,
                   GridCacheVersion ver,
                   int part,
                   long expireTime,
                   int cacheId)

Parameters:
  `key` - Key.
  `val` - Value.
  `ver` - Version.
  `part` - Partition.
  `expireTime` - Expire time.
  `cacheId` - Cache ID.

#### DataRow

    protected DataRow(long link)

Parameters:
  `link` - Link.

#### DataRow

    public DataRow()

### Method Detail

#### key

    public void key(KeyCacheObject key)

Specified by:
  `key` in interface `CacheDataRow`
Overrides:
  `key` in class `CacheDataRowAdapter`
Parameters:
  `key` - Key.

#### partition

    public int partition()

Specified by:
  `partition` in interface `CacheDataRow`
Specified by:
  `partition` in interface `Storable`
Overrides:
  `partition` in class `CacheDataRowAdapter`
Returns:
  Partition for this key.

#### partition

    public void partition(int partId)

Parameters:
  `partId` - Partition id.

#### hash

    public int hash()

Specified by:
  `hash` in interface `CacheSearchRow`
Overrides:
  `hash` in class `CacheDataRowAdapter`
Returns:
  Key hash code.

#### link

    public void link(long link)

Specified by:
  `link` in interface `CacheDataRow`
Specified by:
  `link` in interface `Storable`
Overrides:
  `link` in class `CacheDataRowAdapter`
Parameters:
  `link` - Link for this row.

#### cacheId

    public void cacheId(int cacheId)

Parameters:
  `cacheId` - Cache ID.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023